curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/delivery-word' \
--header 'Authorization: <your_awesome_token>' \
--header 'Content-Type: application/json' \
{
"errorMessage": "Delivery word notification sent"
}
Transaction
Resend delivery word for a transaction
Resend the delivery word for a given transaction
POST
/
transaction
/
{transactionId}
/
delivery-word
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/delivery-word' \
--header 'Authorization: <your_awesome_token>' \
--header 'Content-Type: application/json' \
{
"errorMessage": "Delivery word notification sent"
}
The assign of the delivery word will work only on transactions with status on-hold. For additional details on how transaction statuses works, click this link
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/delivery-word' \
--header 'Authorization: <your_awesome_token>' \
--header 'Content-Type: application/json' \
{
"errorMessage": "Delivery word notification sent"
}
Path parameters
string
required
Propaga’s transaction id
Response
string
Error codes
Transaction not found (404)
{
"errorCode": "TRANSACTION_NOT_FOUND",
"errorMessage": "This transaction not found"
}
Transaction is not on on-hold status (422)
{
"errorCode": "TRANSACTION_IS_NOT_IN_HOLD",
"errorMessage": "Your transaction is not in hold status"
}
Transaction does not have a delivery word(400)
{
"errorCode": "DELIVERY_WORD_NOT_FOUND",
"errorMessage": "Delivery word not found for this transaction"
}
Was this page helpful?

